'''
Extract multiple attributes
'''

fdIn = open('host_2012_06_02_active_2012_04_30.txt', 'r')
fdOut = open('multipleAttributes.txt', 'w')

#fdOut.write('CSp\tNCore\tIops\tFPops\tMSize\tDSize\tDFree\tRx\tTx\n')
for line in fdIn:
    tmp = line[:-1].split('\t')
    if '-1' in tmp[2] or '-1' in tmp[5] or '-1' in tmp[6] or '-1' in tmp[7] or \
        '-1' in tmp[8] or '-1' in tmp[11] or '-1' in tmp[12] or '-1' in tmp[15]\
        or '-1' in tmp[16]:
        continue
    fdOut.write(tmp[2] + '\t' + tmp[5] + '\t' + tmp[6] + '\t' + tmp[7] + '\t' + \
        tmp[8] + '\t' + tmp[9] + '\t' + tmp[10] + '\t' + tmp[11] + '\t'  + tmp[12] \
        + '\t' + tmp[15] + '\t' + tmp[16] + '\n')
    
fdIn.close()
fdOut.close()
